Skip to main content
GET
https://tickward.com/api/v1
/
projects
/
{project_id}
/
shares
List shared timer links
curl --request GET \
  --url https://tickward.com/api/v1/projects/{project_id}/shares \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "object": "share",
      "id": "share_123",
      "project_id": "project_123",
      "project_name": "Main",
      "timer_id": "timer_123",
      "timer_label": "Flight check-in",
      "shared_at": "2026-06-07T12:10:00.000Z",
      "url_path": "/share/share_123",
      "created_at": "2026-06-07T12:10:00.000Z",
      "updated_at": "2026-06-07T12:10:00.000Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Path Parameters

project_id
string
required

Response

Share list.

List response for public timer links in a project.

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required